| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Multiline.TextMark

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Methods
Attributes

Description
A position in the buffer preserved across buffer modifications
Synopsis

data TextMark
class GObjectClass o => TextMarkClass o
castToTextMark :: GObjectClass obj => obj -> TextMark
toTextMark :: TextMarkClass o => o -> TextMark
type MarkName = String
textMarkSetVisible :: TextMarkClass self => self -> Bool -> IO ()
textMarkGetVisible :: TextMarkClass self => self -> IO Bool
textMarkGetDeleted :: TextMarkClass self => self -> IO Bool
textMarkGetName :: TextMarkClass self => self -> IO (Maybe MarkName)
textMarkGetBuffer :: TextMarkClass self => self -> IO (Maybe TextBuffer)
textMarkGetLeftGravity :: TextMarkClass self => self -> IO Bool
textMarkVisible :: TextMarkClass self => Attr self Bool

Detail

You may wish to begin by reading the text widget conceptual overview which gives an overview of all the objects and data types related to the text widget and how they work together.

A `TextMark` is like a bookmark in a text buffer; it preserves a position in the text. You can convert the mark to an iterator using Graphics.UI.Gtk.Multiline.TextBuffer.textBufferGetIterAtMark. Unlike iterators, marks remain valid across buffer mutations, because their behavior is defined when text is inserted or deleted. When text containing a mark is deleted, the mark remains in the position originally occupied by the deleted text. When text is inserted at a mark, a mark with left gravity will be moved to the beginning of the newly-inserted text, and a mark with right gravity will be moved to the end.

Marks can be deleted from the buffer at any time with Graphics.UI.Gtk.Multiline.TextBuffer.textBufferDeleteMark. Once deleted from the buffer, a mark is essentially useless.

Marks optionally have names; these can be convenient to avoid passing the `TextMark` object around.

Marks are typically created using the Graphics.UI.Gtk.Multiline.TextBuffer.textBufferCreateMark function.

Class Hierarchy

     |  GObject
     |   +----TextMark

Types
data TextMark

Instances

GObjectClass TextMark
TextMarkClass TextMark

class GObjectClass o => TextMarkClass o

Instances

TextMarkClass TextMark
TextMarkClass SourceMark

castToTextMark :: GObjectClass obj => obj -> TextMark
toTextMark :: TextMarkClass o => o -> TextMark
type MarkName = String
Methods
textMarkSetVisible :: TextMarkClass self => self -> Bool -> IO ()
Sets the visibility of `mark`; the insertion point is normally visible, i.e. you can see it as a vertical bar. Also, the text widget uses a visible mark to indicate where a drop will occur when dragging-and-dropping text. Most other marks are not visible. Marks are not visible by default.
textMarkGetVisible :: TextMarkClass self => self -> IO Bool
Returns `True` if the mark is visible (i.e. a cursor is displayed for it)
textMarkGetDeleted :: TextMarkClass self => self -> IO Bool
Returns `True` if the mark has been removed from its buffer with Graphics.UI.Gtk.Multiline.TextBuffer.textBufferDeleteMark. Marks can't be used once deleted.
textMarkGetName :: TextMarkClass self => self -> IO (Maybe MarkName)
Returns the mark name; returns `Nothing` for anonymous marks.
textMarkGetBuffer :: TextMarkClass self => self -> IO (Maybe TextBuffer)
Gets the buffer this mark is located inside, or `Nothing` if the mark is deleted.
textMarkGetLeftGravity :: TextMarkClass self => self -> IO Bool
Determines whether the mark has left gravity. The name is misleading as Arabic, Hebrew and some other languages have the beginning of a line towards the right.
Attributes
textMarkVisible :: TextMarkClass self => Attr self Bool
'visible' property. See `textMarkGetVisible` and `textMarkSetVisible`
Produced by Haddock version 2.4.2